#version 3.7;
#include "colors.inc"

global_settings {
  assumed_gamma 2.2
}

/*
background { color rgb <0.5, 0.6, 0.9> }
*/

camera {
  location <0, 10, 10>
  look_at <0, -2.5, 0>
}

light_source {
  <5, 5, -5>
  color rgb <1, 1, 1>
}

#declare magfield = union {
  torus {
    2.56, .05
    pigment { Green }
    finish { ambient .4 }
  }

  cone {
    <2.56-.05, 0, 0.5>, 0.2    // Center and radius of one end
    <2.56, 0, 0>, 0    // Center and radius of other end
    pigment { Green }
    finish { ambient .4 }
  }

  cylinder {
    <0, -1, 0>,     // Center of one end
    <0, 1, 0>,     // Center of other end
    0.1            // Radius
    pigment { Red }
    finish { ambient .6 }
  }

  cone {
    <0, 1, 0>, 0.2    // Center and radius of one end
    <0,1.3,  0>, 0    // Center and radius of other end
    pigment { Red }
    finish { ambient .6 }
  }

  text {
    ttf "timrom.ttf" "I" .2, 0
    scale .5
    rotate <90, 180, 0 >
    translate <2.2, 0, .5>
    pigment { Green }
    finish { ambient .6 }
  }

  text {
    ttf "timrom.ttf" "B" .2, 0
    scale .7
    rotate <0, 180, 0 >
    translate <-.2, 1, 0.5>
    pigment { Red }
    finish { ambient .6 }
  }
}


object { magfield }
object { magfield  translate -2.56*2*x }
object { magfield  translate 2.56*2*x }
object { magfield  translate <-2.56*2, 0, -2.56*2> }
object { magfield  translate <2.56*2, 0, -2.56*2> }
object { magfield  translate <0, 0, -2.56*2> }
object { magfield  translate <-2.56*2, 0, 2.56*2> }
object { magfield  translate <2.56*2, 0, 2.56*2> }
object { magfield  translate <0, 0, 2.56*2> }
